public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
Search results ordered by [date|relevance]  view[summary|nested|Atom feed]
thread overview below | download mbox.gz: |
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/menulibre/
@ 2017-11-29  6:24 99% Jeroen Roovers
  0 siblings, 0 replies; 1+ results
From: Jeroen Roovers @ 2017-11-29  6:24 UTC (permalink / raw
  To: gentoo-commits

commit:     9c0669b1885b70c3b1acb8920497ca7763749019
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 29 06:20:12 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Nov 29 06:24:08 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c0669b1

Revert "x11-misc/menulibre: Old."

This reverts commit f532ef52b3f9cd1749c6ba86cc13e9f43947b9ef.

 x11-misc/menulibre/Manifest               |  2 +
 x11-misc/menulibre/menulibre-2.0.7.ebuild | 68 +++++++++++++++++++++++++++++++
 x11-misc/menulibre/menulibre-2.1.3.ebuild | 68 +++++++++++++++++++++++++++++++
 3 files changed, 138 insertions(+)

diff --git a/x11-misc/menulibre/Manifest b/x11-misc/menulibre/Manifest
index 40af0a788e9..9ebee3685b0 100644
--- a/x11-misc/menulibre/Manifest
+++ b/x11-misc/menulibre/Manifest
@@ -1,2 +1,4 @@
+DIST menulibre-2.0.7.tar.gz 179919 SHA256 29ce8bc117b5aff3bc535f1cb94b356351442e0199f1e94d906f9b234d9c0f66 SHA512 bb0d78b9feaaf6e5c52f339b9174158d819201a0418234f9fcba2783068c56f58ba1c2b0d9d943df7ce47b41d3ef76389691d74031d2283e22526e01db06692c WHIRLPOOL 63b94f88606f15fb64e84860011e0034067356e731fd957fcd75e4e384e26dbc84ef34b8bb7c0215bebfd60157a77cae1bb8f505a5ef6e484250396f78fbd886
+DIST menulibre-2.1.3.tar.gz 231336 SHA256 bdd69740119902f1b1f8c7831155f4428403792a0a6c4287bcbb395c4e71fb31 SHA512 0a9040bcb311fe993238e5d1fc459db2400466c538c729ecd5bf2ff20cf9c7300ef2543c56ae4ef7cfa44cd66768ee9a9001ab997fd2507d8d74a246b2029c7a WHIRLPOOL 9d5086659914edda86063844e052078ea96c731d8fc900b50b9f06ecf8286621020afbd60743dcfc4494ee544f3395855cef929d267d726891bc067f09e12c4d
 DIST menulibre_13.01.4.tar.gz 322686 SHA256 2329b426af55936dc40c7d1bcae99f98b674d06e3757657bd47dcb93d1ac45f3 SHA512 c3311443d00901d0c80078e4f51f81cc2bafbb8048a8eb1f0594e4430e9d8d1c563f4ec6b423952d3e8523f921220bb9d6fa0e4a62453d07011ae781070750d4 WHIRLPOOL b419f3285a97918796c08d0cb7681ada8f6bd19297bdfaea603c2e6256c06d775369d683f150f9c708d26ff2220fceb97d37541143bbcd9d08387e5ebd2967d5
 DIST menulibre_13.04.17.tar.gz 337166 SHA256 84cd21d92bb16cc221d7fa7ebf801a7493cce8743dd15b65d72af23d4b421a99 SHA512 7e0a2c3d765612a1c9ae9f82206fc180d7edc06dbe294bd200d699ecdb243a28ba58030b94084bc0525540f514642914b4224d766d4c9817ee7ee9ac9074b627 WHIRLPOOL d8d87c4180623a956f3c799b506c8718f1b42dcc7554df20d7e21b612f3134451250f5e5b07db0f672df40b1478b8e4189be94ea1850a8008800fe5c07ad051c

diff --git a/x11-misc/menulibre/menulibre-2.0.7.ebuild b/x11-misc/menulibre/menulibre-2.0.7.ebuild
new file mode 100644
index 00000000000..ac7afaa8dcc
--- /dev/null
+++ b/x11-misc/menulibre/menulibre-2.0.7.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python3_4 )
+PYTHON_REQ_USE="xml"
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit distutils-r1 eutils gnome2-utils versionator
+
+DESCRIPTION="Advanced freedesktop.org compliant menu editor"
+HOMEPAGE="http://www.smdavis.us/projects/menulibre/"
+SRC_URI="https://launchpad.net/${PN}/$(get_version_component_range 1-2)/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+	dev-python/python-distutils-extra[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	dev-libs/gobject-introspection
+	dev-python/psutil[${PYTHON_USEDEP}]
+	dev-python/pygobject:3[${PYTHON_USEDEP}]
+	dev-python/pyxdg[${PYTHON_USEDEP}]
+	gnome-base/gnome-menus[introspection]
+	x11-libs/gdk-pixbuf[X,introspection]
+	x11-libs/gtk+:3[X,introspection]
+	x11-libs/gtksourceview:3.0[introspection]
+	x11-themes/hicolor-icon-theme
+"
+
+python_prepare_all() {
+	# too many categories
+	sed -i \
+		-e 's/X-GNOME-Settings-Panel;X-GNOME-PersonalSettings;DesktopSettings;X-XFCE;//' \
+		menulibre.desktop.in || die
+
+	local i
+	# fix incorrect behavior when LINGUAS is set to an empty string
+	# https://bugs.launchpad.net/python-distutils-extra/+bug/1133594
+	if [[ -n "${LINGUAS+x}" ]] ; then # if LINGUAS is set
+		for i in $(cd "${S}"/po ; for p in *.po ; do echo ${p%.po} ; done) ; do # for every supported language
+			if ! has ${i} ${LINGUAS} ; then # if language is disabled
+				rm po/${i}.po || die
+			fi
+		done
+	fi
+
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}

diff --git a/x11-misc/menulibre/menulibre-2.1.3.ebuild b/x11-misc/menulibre/menulibre-2.1.3.ebuild
new file mode 100644
index 00000000000..ac7afaa8dcc
--- /dev/null
+++ b/x11-misc/menulibre/menulibre-2.1.3.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python3_4 )
+PYTHON_REQ_USE="xml"
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit distutils-r1 eutils gnome2-utils versionator
+
+DESCRIPTION="Advanced freedesktop.org compliant menu editor"
+HOMEPAGE="http://www.smdavis.us/projects/menulibre/"
+SRC_URI="https://launchpad.net/${PN}/$(get_version_component_range 1-2)/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+	dev-python/python-distutils-extra[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	dev-libs/gobject-introspection
+	dev-python/psutil[${PYTHON_USEDEP}]
+	dev-python/pygobject:3[${PYTHON_USEDEP}]
+	dev-python/pyxdg[${PYTHON_USEDEP}]
+	gnome-base/gnome-menus[introspection]
+	x11-libs/gdk-pixbuf[X,introspection]
+	x11-libs/gtk+:3[X,introspection]
+	x11-libs/gtksourceview:3.0[introspection]
+	x11-themes/hicolor-icon-theme
+"
+
+python_prepare_all() {
+	# too many categories
+	sed -i \
+		-e 's/X-GNOME-Settings-Panel;X-GNOME-PersonalSettings;DesktopSettings;X-XFCE;//' \
+		menulibre.desktop.in || die
+
+	local i
+	# fix incorrect behavior when LINGUAS is set to an empty string
+	# https://bugs.launchpad.net/python-distutils-extra/+bug/1133594
+	if [[ -n "${LINGUAS+x}" ]] ; then # if LINGUAS is set
+		for i in $(cd "${S}"/po ; for p in *.po ; do echo ${p%.po} ; done) ; do # for every supported language
+			if ! has ${i} ${LINGUAS} ; then # if language is disabled
+				rm po/${i}.po || die
+			fi
+		done
+	fi
+
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}


^ permalink raw reply related	[relevance 99%]

Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2017-11-29  6:24 99% [gentoo-commits] repo/gentoo:master commit in: x11-misc/menulibre/ Jeroen Roovers

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox